#include "CRider.h"

CRider::CRider(scene::ISceneManager *smg,video::IVideoDriver* dr)
{
    smgr=smg;
    driver=dr;

    //meshRider = smgr->getMesh("media/lowpolytree.3ds");
    /*material.setTexture(0,driver->getTexture("media/nadeln4.jpg"));
    material.setTexture(1,driver->getTexture("media/nadeln4a.jpg"));
    material.setTexture(2,driver->getTexture("media/stamm2.jpg"));
    material.setTexture(3,driver->getTexture("media/stamm21.jpg"));
    material.setTexture(4,driver->getTexture("media/stamm22.jpg"));*/
}

void CRider::SetPosition(core::vector3df p)
{
	position=p;
}

core::vector3df CRider::GetPosition() {
    return position;
}

void CRider::DrawRider() {

    nodeRider=smgr->addMeshSceneNode( meshRider );
    nodeRider->setScale(core::vector3df(3,3,3));
    //nodeArbre->getMaterial(0) = material;
    nodeRider->setMaterialFlag(video::EMF_LIGHTING, false);
    nodeRider->setPosition(position);
    nodeRider->setRotation(core::vector3df(0,0,0));
}

CRider::~CRider()
{

}
